Package org.h2.util.json

# Class JSONNumber

java.lang.Object
org.h2.util.json.JSONValue
org.h2.util.json.JSONNumber

public final class JSONNumber extends JSONValue
JSON number.

## Method Summary

Modifier and Type
Method
Description
`void`
`addTo(JSONTarget<?> target)`
Appends this value to the specified target.
`BigDecimal`
`getBigDecimal()`
Returns the value.

### Methods inherited from class org.h2.util.json.JSONValue

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### addTo

public void addTo(JSONTarget<?> target)
Description copied from class: `JSONValue`
Appends this value to the specified target.

Specified by:
  `addTo` in class `JSONValue`
Parameters:
  `target` - the target

### getBigDecimal

public BigDecimal getBigDecimal()
Returns the value.

Returns:
  the value